﻿<%@ Page Debug="true" Language="C#" MasterPageFile="~/_admin/admin.master" Inherits="TechEd09.SharePoint.UserProfileWatch.ProfileJobManager, TechEd09.SharePoint.UserProfileWatch, Version=1.0.0.0, Culture=neutral, PublicKeyToken=7e84e8a5a7f90c97" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" src="~/_controltemplates/ButtonSection.ascx" %>

<asp:Content ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
  TechEd09 Profile Watcher Job Manager
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderPageTitleInTitlearea" runat="server">
  TechEd09 Profile Watcher Job Manager
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderPageDescription" runat="server">
  This page allows you to manage the TechEd09 Profile Watcher job that will resize and rename user profile images.
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderMain" runat="server">
  <table width="100%" class="propertysheet" cellpadding="0" cellspacing="0" border="0">
    <tr><td class="ms-error"><asp:Literal ID="ErrorMessageLiteral" runat="server" EnableViewState="false" /> </td></tr>
  </table>
  
  <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr>
      <td>
        <!-- SSP Activation selector -->
	      <wssuc:InputFormSection runat="server"
	                                Title="Timer Job Enabled"
	                                Description="Enable the timer job for this farm.">
          <Template_InputFormControls>
            <tr valign="top">
              <td>
                <asp:Literal runat="server" ID="litEnable" >Enable/Disable the timer job.</asp:Literal><br />
                <asp:RadioButtonList ID="JobStatusList" runat="server" RepeatDirection="Horizontal">
                  <asp:ListItem class="ms-descriptionText" Value="False">Disabled</asp:ListItem>
                  <asp:ListItem class="ms-descriptionText" Value="True">Enabled</asp:ListItem>
                </asp:RadioButtonList>
              </td>
            </tr>
          </Template_InputFormControls>
        </wssuc:InputFormSection>
        <!-- job runtime schedule -->
        <wssuc:InputFormSection runat="server"
                                title="Scheduled Run Interval">
          <Template_Description>Select the interval for the sync job. </Template_Description>
          <Template_InputFormControls>
            Run profile sync job every <asp:DropDownList id="IntervalMinutesDropDownList" runat="server" >
                                    <asp:ListItem>1</asp:ListItem>
                                    <asp:ListItem>2</asp:ListItem>
                                    <asp:ListItem>3</asp:ListItem>
                                    <asp:ListItem>4</asp:ListItem>
                                    <asp:ListItem>5</asp:ListItem>
                                    <asp:ListItem>6</asp:ListItem>
                                    <asp:ListItem>7</asp:ListItem>
                                    <asp:ListItem>8</asp:ListItem>
                                    <asp:ListItem>9</asp:ListItem>
                                    <asp:ListItem>10</asp:ListItem>
                                    <asp:ListItem>11</asp:ListItem>
                                    <asp:ListItem>12</asp:ListItem>
                                    <asp:ListItem>13</asp:ListItem>
                                    <asp:ListItem>14</asp:ListItem>
                                    <asp:ListItem>15</asp:ListItem>
                                    <asp:ListItem>16</asp:ListItem>
                                    <asp:ListItem>17</asp:ListItem>
                                    <asp:ListItem>18</asp:ListItem>
                                    <asp:ListItem>19</asp:ListItem>
                                    <asp:ListItem>20</asp:ListItem>
                                    <asp:ListItem>21</asp:ListItem>
                                    <asp:ListItem>22</asp:ListItem>
                                    <asp:ListItem>23</asp:ListItem>
                                    <asp:ListItem>24</asp:ListItem>
                                    <asp:ListItem>25</asp:ListItem>
                                    <asp:ListItem>26</asp:ListItem>
                                    <asp:ListItem>27</asp:ListItem>
                                    <asp:ListItem>28</asp:ListItem>
                                    <asp:ListItem>29</asp:ListItem>
                                    <asp:ListItem>30</asp:ListItem>
                                    <asp:ListItem>31</asp:ListItem>
                                    <asp:ListItem>32</asp:ListItem>
                                    <asp:ListItem>33</asp:ListItem>
                                    <asp:ListItem>34</asp:ListItem>
                                    <asp:ListItem>35</asp:ListItem>
                                    <asp:ListItem>36</asp:ListItem>
                                    <asp:ListItem>37</asp:ListItem>
                                    <asp:ListItem>38</asp:ListItem>
                                    <asp:ListItem>39</asp:ListItem>
                                    <asp:ListItem>40</asp:ListItem>
                                    <asp:ListItem>41</asp:ListItem>
                                    <asp:ListItem>42</asp:ListItem>
                                    <asp:ListItem>43</asp:ListItem>
                                    <asp:ListItem>44</asp:ListItem>
                                    <asp:ListItem>45</asp:ListItem>
                                    <asp:ListItem>46</asp:ListItem>
                                    <asp:ListItem>47</asp:ListItem>
                                    <asp:ListItem>48</asp:ListItem>
                                    <asp:ListItem>49</asp:ListItem>
                                    <asp:ListItem>50</asp:ListItem>
                                    <asp:ListItem>51</asp:ListItem>
                                    <asp:ListItem>52</asp:ListItem>
                                    <asp:ListItem>53</asp:ListItem>
                                    <asp:ListItem>54</asp:ListItem>
                                    <asp:ListItem>55</asp:ListItem>
                                    <asp:ListItem>56</asp:ListItem>
                                    <asp:ListItem>57</asp:ListItem>
                                    <asp:ListItem>58</asp:ListItem>
                                    <asp:ListItem>59</asp:ListItem>
                                  </asp:DropDownList> minutes.
          </Template_InputFormControls>
        </wssuc:InputFormSection>
        <!-- Profile Fields Selector -->
        	      <wssuc:InputFormSection runat="server"
	                                Title="Profile Fields"
	                                Description="List the internal names for the profile fields to monitor.">
          <Template_InputFormControls>
            <tr valign="top">
              <td>
                <asp:Literal runat="server" ID="litFields" >Field Names: (For example: PictureURL)</asp:Literal><br />
                <asp:TextBox ID="UPSyncFields" class="ms-input" size="35" runat="server" ></asp:TextBox>
              </td>
            </tr>
          </Template_InputFormControls>
        </wssuc:InputFormSection>
        <!-- Profile Fields Selector -->
        	      <wssuc:InputFormSection runat="server"
	                                Title="Image Dimensions"
	                                Description="Max horizontal and vertical width of the profile images.">
          <Template_InputFormControls>
            <tr valign="top">
              <td>
                <asp:Literal runat="server" ID="Literal1" >Horizontal and Vertical Dimensions:</asp:Literal><br />
                <asp:TextBox ID="txtHeight" class="ms-input" size="10" runat="server" ></asp:TextBox><asp:TextBox ID="txtWidth" class="ms-input" size="10" runat="server" ></asp:TextBox>
              </td>
            </tr>
          </Template_InputFormControls>
        </wssuc:InputFormSection>
        <!-- Go Button -->        
        <wssuc:ButtonSection runat="server">
          <template_buttons>
            <asp:Button id="SetTimerJobsButton" runat="server" class="ms-ButtonHeightWidth" Text="OK" OnClick="SetTimerJobsButton_OnClick" />
          </template_buttons>
        </wssuc:ButtonSection>
      </td>
    </tr>
	</table>
</asp:Content>